<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:composite="http://java.sun.com/jsf/composite"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">

    <composite:interface>
        <composite:attribute name="template"/>
    </composite:interface>

    <composite:implementation>
        <div id="#{cc.clientId}">
            <ui:decorate template="#{cc.attrs.template}">
                <composite:insertChildren/>
            </ui:decorate>
        </div>
    </composite:implementation>
</html>